Search found 51 matches

by dekoning
Fri Jun 26, 2015 8:35 am
Forum: Python scripting and macros
Topic: Exporting in .iges creates duplicate edges
Replies: 0
Views: 695

Exporting in .iges creates duplicate edges

Hi all, I had some trouble when I exported my solid object. When I exported it in a .iges file I discovered that all Edges were duplicated and the Vertices where increased to the amount of edges. When I exported the same solid object in a .step file all edges and vertices remained the same. I discov...
by dekoning
Fri Apr 10, 2015 4:29 pm
Forum: Python scripting and macros
Topic: mw.findChild(QtGui.QMdiArea) is None
Replies: 2
Views: 1201

mw.findChild(QtGui.QMdiArea) is None

Hi guys, I'm having a problem with accessing the active window in FreeCAD on Ubuntu. For example the following code which works perfectly using windows (using PySide): mw = FreeCADGui.getMainWindow() mdi = mw.findChild(QtGui.QMdiArea) mwActive = mdi.activeSubWindow() orgHeight = mwActive.height() or...
by dekoning
Thu Apr 09, 2015 4:00 pm
Forum: Python scripting and macros
Topic: During initialization the error dll load failed - FreeCADGui
Replies: 1
Views: 1692

During initialization the error dll load failed - FreeCADGui

Hi, A friend of mine is trying to connect his Python 2.7 to FreeCAD 0.14. He uses a 64bit Windows 8. We linked the required FreeCAD packages to Python but when try: import FreeCADGui he gets the following error message: ImportError: DLL load failed: The specified procedure could not be found. The im...
by dekoning
Tue Mar 31, 2015 9:05 am
Forum: Open discussion
Topic: Add a PropertyButton to the available object properties
Replies: 1
Views: 777

Add a PropertyButton to the available object properties

Hi guys, I'd like to make a suggestion for a new object property. A simple button of which you can specify the name and when you click on it, it recognize it as a property change (so we can use it in the onChanged/execute methods). This can be useful if the user wants to print certain output of the ...
by dekoning
Wed Mar 25, 2015 1:12 pm
Forum: Python scripting and macros
Topic: How to turn on grid and set labels etc?
Replies: 3
Views: 1328

Re: How to turn on grid and set labels etc?

Does anybody know how to fix this?
by dekoning
Wed Feb 25, 2015 8:02 pm
Forum: Python scripting and macros
Topic: BSplineSurface nr poles and sum of mults mismatch
Replies: 8
Views: 2142

Re: BSplineSurface nr poles and sum of mults mismatch

for now I create the BSpline curves to check what the result should look like and because it is a 'noob-proof' way of getting the right multiplicities :)
by dekoning
Wed Feb 25, 2015 7:42 pm
Forum: Python scripting and macros
Topic: Possible to create solid loft from script without open GUI
Replies: 2
Views: 878

Re: Possible to create solid loft from script without open G

oke thnx. It's remains tricky though to perform the loft due to probability of twist (which is also mentioned on the website). In my case I had to switch a list of wires in order to start the loft from the smallest closed wire and end with the largest wire. The other way around twist occurred.
by dekoning
Wed Feb 25, 2015 7:12 pm
Forum: Python scripting and macros
Topic: BSplineSurface nr poles and sum of mults mismatch
Replies: 8
Views: 2142

Re: BSplineSurface nr poles and sum of mults mismatch

ah oke, so the error message was misleading. When I give the degrees as well, but with a polesList containing more poles: polesList = [Vector(0,1.2),Vector(1,1),Vector(1.2,0),Vector(2,0)],[Vector(0,1.1,0.5),Vector(1,1,0.5),Vector(1.1,0,0.5),Vector(2,0,0.5)],[Vector(0,1,1),Vector(1,1,1),Vector(1,0,1)...
by dekoning
Wed Feb 25, 2015 5:16 pm
Forum: Python scripting and macros
Topic: Possible to create solid loft from script without open GUI
Replies: 2
Views: 878

Possible to create solid loft from script without open GUI

I'm trying to create a solid loft from 3 closed bsplines. When I use Part.makeLoft I do not have the option to automatically create a solid from it. However, when I first display the closed bsplines in the GUI and then use 'Utility to loft' there is an option 'Create solid', which works. But I want ...
by dekoning
Wed Feb 25, 2015 4:55 pm
Forum: Python scripting and macros
Topic: BSplineSurface nr poles and sum of mults mismatch
Replies: 8
Views: 2142

BSplineSurface nr poles and sum of mults mismatch

Hey, I'm trying to create a Part.BSplineSurface() but every time I get the error: Exception: number of poles and sum of mults mismatch I use the code below where I first create the curves separately and then extract their multiplicities. import FreeCAD from FreeCAD import Vector import Part polesLis...